summaryrefslogtreecommitdiff
path: root/makefiles/nmake
diff options
context:
space:
mode:
Diffstat (limited to 'makefiles/nmake')
-rw-r--r--makefiles/nmake/help.mk9
-rw-r--r--makefiles/nmake/sub.mk2
-rw-r--r--makefiles/nmake/top.mk31
3 files changed, 22 insertions, 20 deletions
diff --git a/makefiles/nmake/help.mk b/makefiles/nmake/help.mk
new file mode 100644
index 0000000..3e42448
--- /dev/null
+++ b/makefiles/nmake/help.mk
@@ -0,0 +1,9 @@
+
+Available targets:
+
+make [all] create all artifacts
+make test create test binaries and execute tests
+make doc build the documentation
+make clean clean up build artifacts
+make distclean clean up all generated artifacts
+make help show this very help page
diff --git a/makefiles/nmake/sub.mk b/makefiles/nmake/sub.mk
index a62018d..1e40842 100644
--- a/makefiles/nmake/sub.mk
+++ b/makefiles/nmake/sub.mk
@@ -11,6 +11,8 @@
#-include $(TOPDIR)/makefiles/gmake/platform.mk
!include $(TOPDIR)\makefiles\nmake\compiler.mk
+all: local_all
+
#.PHONY: all $(SUBDIRS) local_all
#all: $(OBJS) $(CPPOBJS) $(BIN_OBJS) $(CPP_BIN_OBJS) $(BINS) $(CPP_BINS) $(CMODULES) $(CPPMODULES) local_all
# @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
diff --git a/makefiles/nmake/top.mk b/makefiles/nmake/top.mk
index 8463c53..adec5b2 100644
--- a/makefiles/nmake/top.mk
+++ b/makefiles/nmake/top.mk
@@ -13,36 +13,27 @@
# - target 'dist'
# - target 'help'
-.PHONY: all
all:
- @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
- (set -e; $(MAKE) -C $$d all || exit 1); done)
+ @for %%d IN ( $(SUBDIRS) ) do @cd %%d & $(MAKE) /nologo /f Makefile.w32 all & cd .,
-.PHONY: clean
clean:
- @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
- (set -e; $(MAKE) -C $$d clean || exit 1); done)
+ @for %%d IN ( $(SUBDIRS) ) do @cd %%d & $(MAKE) /nologo /f Makefile.w32 clean & cd ..
-.PHONY: distclean
distclean:
- @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
- (set -e; $(MAKE) -C $$d distclean || exit 1); done)
+ @for %%d IN ( $(SUBDIRS) ) do @cd %%d & $(MAKE) /nologo /f Makefile.w32 distclean & cd ..
-.PHONY: install
-install:
- @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
- (set -e; $(MAKE) -C $$d install || exit 1); done)
+#.PHONY: install
+#install:
+# @test -z "$(SUBDIRS)" || ( set -e; for d in $(SUBDIRS)""; do \
+# (set -e; $(MAKE) -C $$d install || exit 1); done)
-.PHONY: test
test: all
- @$(MAKE) -C tests test
+ @cd tests & $(MAKE) test
-.PHONY: doc
doc:
- cd docs; $(MAKE) doc
+ @cd docs & $(MAKE) doc
-.PHONY: help
help:
- @cat makefiles/help.mk
+ @type makefiles\nmake\help.mk
--include $(TOPDIR)/makefiles/gmake/dist.mk
+#-include $(TOPDIR)/makefiles/gmake/dist.mk